## kompare 25.08.3

=== src/interfaces/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kompare\")

add_library(kompareinterface SHARED)

target_sources(kompareinterface PRIVATE
    kompareinterface.cpp
)

generate_export_header(kompareinterface BASE_NAME KOMPAREINTERFACE)

target_link_libraries(kompareinterface
    PUBLIC
        Qt6::Core
)

set_target_properties(kompareinterface PROPERTIES
    VERSION   ${KOMPARE_LIB_VERSION}
    SOVERSION ${KOMPARE_LIB_SOVERSION}
)

install(TARGETS kompareinterface ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kompareinterface.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kompare COMPONENT Devel)

=== debian/changelog ===
kompare (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:26:19 +0000

=== debian/control ===
Source: kompare
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6codecs-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkomparediff2-dev (>= 4:25.08.3~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kompare
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare

Package: kompare
Architecture: any
Section: devel
Depends: kpart6-kompare (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: file difference viewer
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: kpart6-kompare
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kpart5-kompare,
Replaces: kpart5-kompare,
Description: file difference viewer - kpart interface component
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package contains the kpart needed by applications to embed kompare in
 them.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface-dev
Architecture: any
Section: libdevel
Depends: libkompareinterface6 (= ${binary:Version}),
         ${misc:Depends},
Description: file difference viewer - kpart interface library development files
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package contains the development files for the kpart needed by
 applications to embed kompare in them.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kpart6-kompare,
Description: file difference viewer - kpart interface library
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package contains the shared library for the kpart interface component.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@

override_dh_gencontrol: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/kompare/usr/share/kio/servicemenus/kompare.desktop

## kompare 25.08.3+p24.04+vunstable+git20251123.1221

=== debian/changelog ===
kompare (4:25.08.3+p24.04+vunstable+git20251123.1221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:22:01 +0000

kompare (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:49 +1000

## kompare 25.08.3+p24.04+vunstable+git20251206.0842

=== debian/changelog ===
kompare (4:25.08.3+p24.04+vunstable+git20251206.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:42:26 +0000

## kompare 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "80")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KOMPARE_BASE_VERSION once new features are added
set(KOMPARE_BASE_VERSION "4.2")
set(KOMPARE_VERSION "${KOMPARE_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(Kompare VERSION ${KOMPARE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(GenerateExportHeader)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    PrintSupport
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Codecs
    DocTools
    IconThemes
    JobWidgets
    Config
    Parts
    TextEditor
    WidgetsAddons
    I18n
)

find_package(KompareDiff2 6.0 CONFIG)
set_package_properties(KompareDiff2 PROPERTIES
    TYPE REQUIRED
)


set(KOMPARE_LIB_VERSION 6)
set(KOMPARE_LIB_SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
    KOMPAREDIFF2 5.4
)

# added by KDE_COMPILERSETTINGS_LEVEL 5.85.0
remove_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
)

add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kompare (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:59:22 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.08.3~),
+               libkomparediff2-dev (>= 4:25.11.80~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

## kompare 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOMPARE_BASE_VERSION once new features are added

=== debian/changelog ===
kompare (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:09:50 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.11.80~),
+               libkomparediff2-dev (>= 4:25.11.90~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

## kompare 25.12.0

=== debian/changelog ===
kompare (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.11.90~),
+               libkomparediff2-dev (>= 4:25.12.0~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

## kompare 25.12.0+p24.04+vstable+git20251213.1024

=== debian/changelog ===
kompare (4:25.12.0+p24.04+vstable+git20251213.1024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 13 Dec 2025 10:24:41 +0000

kompare (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:39:12 +1000

## kompare 25.12.0+p24.04+vstable+git20260102.1201

=== debian/changelog ===
kompare (4:25.12.0+p24.04+vstable+git20260102.1201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:01:29 +0000

## kompare 25.12.0+p24.04+vstable+git20260105.0903

=== debian/changelog ===
kompare (4:25.12.0+p24.04+vstable+git20260105.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:03:18 +0000

## kompare 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOMPARE_BASE_VERSION once new features are added

=== debian/changelog ===
kompare (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 09:37:52 +0000

kompare (4:25.12.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Jan 2026 00:51:11 +0100

kompare (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:09:29 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6codecs-dev (>= 6.0.0~),
@@ -21,9 +21,9 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.12.0~),
+               libkomparediff2-dev (>= 4:25.12.1~),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/kompare
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare

## kompare 25.12.1+p24.04+vstable+git20260106.2355

=== debian/changelog ===
kompare (4:25.12.1+p24.04+vstable+git20260106.2355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 23:55:51 +0000

kompare (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:31 +1000

## kompare 25.12.1+p24.04+vstable+git20260129.0055

=== debian/changelog ===
kompare (4:25.12.1+p24.04+vstable+git20260129.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:55:44 +0000

## kompare 25.12.1+p24.04+vstable+git20260201.0345

=== debian/changelog ===
kompare (4:25.12.1+p24.04+vstable+git20260201.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 03:45:26 +0000

## kompare 25.12.1+p24.04+vunstable+git20260204.0833

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOMPARE_BASE_VERSION once new features are added

=== debian/changelog ===
kompare (4:25.12.1+p24.04+vunstable+git20260204.0833-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:33:51 +0000

## kompare 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOMPARE_BASE_VERSION once new features are added

=== debian/changelog ===
kompare (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6codecs-dev (>= 6.0.0~),
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.12.1~),
+               libkomparediff2-dev (>= 4:25.12.2~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.3
 Rules-Requires-Root: no
